package cn.ibizhub.demo.demo.controller;

import cn.ibizhub.demo.demo.domain.DBET;
import cn.ibizhub.demo.demo.service.DBETService;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.xml.ws.RequestWrapper;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Controller
public class DBETcontroller {

    @Autowired
    private DBETService dbetService;

    @RequestMapping(value = "/addDBET",method = RequestMethod.GET)
    @ResponseBody
    public String addDBET(@RequestParam("str") String str){

        DBET dbet = new DBET();
        dbet.setDbetname(str);

        dbetService.addDBET(dbet);
        return "end";
    }

    @RequestMapping(value = "/deleteDBET",method = RequestMethod.GET)
    @ResponseBody
    public String deleteDBET( @RequestParam("id") String id ){

        DBET dbet = new DBET();
        dbet.setDbetid(id);

        dbetService.deleteDBET(dbet);
        return "end";
    }

    @RequestMapping(value = "/updateDBET",method = RequestMethod.GET)
    @ResponseBody
    public String updateDBET(@RequestParam("str") String str,@RequestParam("id") String id){

        DBET dbet = new DBET();
        dbet.setDbetid(id);
        dbet.setDbetname(str);
        dbetService.updateDBET(dbet);
        return "end";
    }

    @RequestMapping(value = "/selectDBETall",method = RequestMethod.GET)
    @ResponseBody
    public String selectDBETall(){

        List<DBET> list = dbetService.selectDBETall();
        StringBuilder sb = new StringBuilder();
        for (DBET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }

    @RequestMapping(value = "/selectDBET",method = RequestMethod.GET)
    @ResponseBody
    public String selectDBET(@RequestParam("id") String id){

        DBET dbet = dbetService.selectDBET(id);
        return dbet.toString();
    }

	@RequestMapping(value = "/selectDBETDbetnamelike",method = RequestMethod.GET)
    @ResponseBody
    public String selectDBETDbetnamelike(@RequestParam("str") String str){

        List<DBET> list = dbetService.findByDbetnameContaining(str);
        StringBuilder sb = new StringBuilder();
        for (DBET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }

    @RequestMapping(value = "/selectDBETSexeq",method = RequestMethod.GET)
    @ResponseBody
    public String selectDBETSexeq(@RequestParam("str") String str){

        List<DBET> list = dbetService.findBySex(str);
        StringBuilder sb = new StringBuilder();
        for (DBET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }


}
